> ## Documentation Index
> Fetch the complete documentation index at: https://docs-preprod.sambanova.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Model list

The model list endpoint provides information about the currently available models. There are two ways to retrieve model details.

1. Request details of all available models.
2. Request details about a specific model.

## Base URL

The base URL is the same when requesting details for all available models or a specific model.

```
https://api.sambanova.ai/
```

<Note>
  For SambaStack, developers should check with their system administrator for the correct URL.
</Note>

## All available models

The examples below describe how to request details for all available models.

### Endpoint

```
GET /v1/models
```

### Example response

The example below demonstrates the response for all available models.

<Note>
  In our example, we only list three models.
</Note>

```json
{
    "data": [
      {
        "id": "DeepSeek-R1",
        "object": "model",
        "owned_by": "no-reply@sambanova.ai",
        "context_length": 16384,
        "max_completion_tokens": 16384,
        "pricing": {
          "prompt": "0.00000500",
          "completion": "0.00000700"
        }
      },
      {
        "id": "DeepSeek-R1-Distill-Llama-70B",
        "object": "model",
        "owned_by": "no-reply@sambanova.ai",
        "context_length": 131072,
        "max_completion_tokens": 4096,
        "pricing": {
          "prompt": "0.00000070",
          "completion": "0.00000140"
        }
      },
      {
        "id": "DeepSeek-V3-0324",
        "object": "model",
        "owned_by": "no-reply@sambanova.ai",
        "context_length": 8192,
        "max_completion_tokens": 4096,
        "pricing": {
          "prompt": "0.00000100",
          "completion": "0.00000150"
        }
      }
    ],
    "object": "list"
}
```

### Response fields

The table below describes the response fields along with their types and descriptions when requesting details for all available models.

| Field                   | Type    | Description                                       |
| :---------------------- | :------ | :------------------------------------------------ |
| `data`                  | Array   | List of available models.                         |
| `id`                    | String  | The model ID.                                     |
| `object`                | String  | Type of object (always "model").                  |
| `owned_by`              | String  | The owner of the model.                           |
| `context_length`        | Integer | Maximum supported context length in tokens.       |
| `max_completion_tokens` | Integer | Maximum tokens that can be generated per request. |
| `pricing.completion`    | String  | Price per completion token.                       |
| `pricing.prompt`        | String  | Price per prompt token.                           |

## Specific model

The examples below describe how to request details for a specific model.

### Endpoint

```
GET /v1/models/{model_id}
```

### Path parameter

Parameter: `model_id`

The official ID name of the model to query (e.g., DeepSeek-R1). Refer to the [SambaCloud models](/en/models/sambacloud-models) list.

### Example response

The example below demonstrates the response for a specific model.

```json
{
  "id": "DeepSeek-R1",
  "object": "model",
  "owned_by": "no-reply@sambanova.ai",
  "context_length": 16384,
  "max_completion_tokens": 16384,
  "pricing": {
    "prompt": "0.00000500",
    "completion": "0.00000700"
  }
}
```

### Response fields

The table below describes the response fields along with their types and descriptions when requesting details for a specific model.

| Field                   | Type    | Description                                       |
| :---------------------- | :------ | :------------------------------------------------ |
| `id`                    | String  | The model ID.                                     |
| `object`                | String  | Type of object (always "model").                  |
| `owned_by`              | String  | The owner of the model.                           |
| `context_length`        | Integer | Maximum supported context length in tokens.       |
| `max_completion_tokens` | Integer | Maximum tokens that can be generated per request. |
| `pricing.completion`    | String  | Price per completion token.                       |
| `pricing.prompt`        | String  | Price per prompt token.                           |
